Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  RTEXT -> alle suchen und löschen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  RTEXT -> alle suchen und löschen (254 mal gelesen)
Ahnungslos-73
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Ahnungslos-73 an!   Senden Sie eine Private Message an Ahnungslos-73  Schreiben Sie einen Gästebucheintrag für Ahnungslos-73

Beiträge: 33
Registriert: 24.02.2021

Autocad 2020
WiN 10 Pro
16GB RAM
Intel(R) Core(TM) i7-8700
CPU@3,20GHz 3,19GHz

erstellt am: 18. Mrz. 2021 14:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Wieder ich  :

Ich habe in meiner Zeichnung (in allen Layouts(!) einen RTEXT (wie auch immer er dahin gekommen ist?!) den ich nicht benötige - wie kann ich ihn global suchen und löschen .... über Filter geht es nicht - Schnellauswahl auch nicht - da bekomme ich nur den einen für das aktuelle Layout in welchem ich mich befinde ....

Danke wie immer!

------------------
AUTOCAD-Anwenderin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20361
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 18. Mrz. 2021 15:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ahnungslos-73 10 Unities + Antwort hilfreich

>>"wie kann ich ihn global suchen und löschen"
>>" .... über Filter geht es nicht"

Richtig, der Filter kennt nur AutoCAD-Objekte, RTEXT ist aber ein Expresstoolsobjekt.
(Da die RText-"Textwerte" recht speziell sind könnte man wohl einfach nach TEXTWERT suchen mit dem Inhalt
Beispiel für einen DIESEL Rtext: *$(*)*
Beispiel für einen DATEI  Rtext: @:\*`.*
Ob dann wirklich nur RTexte gewählt wurde erkennt man dann ja in der EigenschaftenPalette.


>>" - Schnellauswahl auch nicht - da bekomme ich nur den einen für das aktuelle Layout in welchem ich mich befinde ...."
Das ist ja nunmal die Funktionsweise der Schnellauswahl, angebotene Objekte und die Objektwahl bezieht sich nur auf den aktuellen Bereich.


Nun geht es also doch per FILTER,
aber nur FINDEN(Auswählen) allein hilft dir aber leider nicht, da es keinen Befehl zum 'löschen in allen Bereichen' gibt.


Ohne Programmierung also nicht anders lösbar wie per Hand durchgehen und löschen.
Oder? Nun ja, wenn es denn wirklich viele Objekte wären...
Faule Leute in LT oder auch ohne Programmierkenntnisse würden sich einen Layer anlegen,
alle RTexte auswählen, per EigenschaftenPalette auf diesen Layer legen und per LAYDEL löschen.

Obwohl weder Sauwahl noch Filter alle RTexte in allen Bereichen auswählen kann,
obwohl es keinen Objekte-in-allen-Bereichen-löschen-Befehl gibt,
voila - gelöst.

Irgendwann sucht man dann neue Herausforderungen und schreibt dann sowas in dei Befehlszeile:
(if (setq aw (ssget "_X" '((67 . 1)(0 . "RTEXT"))))(foreach i (vl-remove-if 'listp (mapcar 'cadr (ssnamex AW)))(vla-delete (vlax-ename->vla-object i))))

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ahnungslos-73
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Ahnungslos-73 an!   Senden Sie eine Private Message an Ahnungslos-73  Schreiben Sie einen Gästebucheintrag für Ahnungslos-73

Beiträge: 33
Registriert: 24.02.2021

Autocad 2020
WiN 10 Pro
16GB RAM
Intel(R) Core(TM) i7-8700
CPU@3,20GHz 3,19GHz

erstellt am: 18. Mrz. 2021 15:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

(if (setq aw (ssget "_X" '((67 . 1)(0 . "RTEXT"))))(foreach i (vl-remove-if 'listp (mapcar 'cadr (ssnamex AW)))(vla-delete (vlax-ename->vla-object i))))

   

Ich gehe davon aus - das dieser Befehl einfach alle *Rtexte* aus meiner Zeichnung gelöscht hat (zumindest finde ich keinen mehr  - solche Leute braucht man - 1000-end Dank !

------------------
AUTOCAD-Anwenderin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20361
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 18. Mrz. 2021 16:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ahnungslos-73 10 Unities + Antwort hilfreich

Die Zeile ist billig, die anderen Informationen sind Gold.

Aber ja: Alle TopLevel RTexte in Layouts auf nicht gesperrten Layern,
also keine RTexte im Modell und keine in Blöcken und XRefs.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz